petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscViewerHDF5OpenGroup

Open the HDF5 group with the name (full path) returned by PetscViewerHDF5GetGroup(), and return this group's ID and file ID. If PetscViewerHDF5GetGroup() yields NULL, then group ID is file ID.

### Synopsis

    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5OpenGroup(PetscViewer viewer, hid_t *fileId, hid_t *groupId)

Not collective

### Input Parameter

viewer -the PetscViewer

### Output Parameter

| fileId | - The HDF5 file ID
| groupId | - The HDF5 group ID

### Notes

If the viewer is writable, the group is created if it doesn't exist yet.

### See Also

PetscViewerHDF5Open(),PetscViewerHDF5PushGroup(),PetscViewerHDF5PopGroup(),PetscViewerHDF5GetGroup()

### Level

intermediate

### Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages